Hazelnp::HazelnuppConstraintException Class Reference

Gets thrown something bad happens because of parameter constraints. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppConstraintException:
[legend]
Collaboration diagram for Hazelnp::HazelnuppConstraintException:
[legend]

## Public Member Functions

| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from Hazelnp::HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members

Protected Attributes inherited from Hazelnp::HazelnuppException
std::string | message

## Detailed Description

Gets thrown something bad happens because of parameter constraints.

Definition at line 44 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## HazelnuppConstraintException() [1/2]

Hazelnp::HazelnuppConstraintException::HazelnuppConstraintException | ( |  | ) |

inline

Definition at line 47 of file HazelnuppException.h.

: HazelnuppException() {};

## HazelnuppConstraintException() [2/2]

Hazelnp::HazelnuppConstraintException::HazelnuppConstraintException | ( | const std::string & | msg | ) |

inline

Definition at line 48 of file HazelnuppException.h.

: HazelnuppException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppException::HazelnuppException
HazelnuppException()
Definition: HazelnuppException.h:11